package test;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.repository.HBaseSaveManagerRepository;
import com.sagacloud.util.compute_engine.util.ConstantCE;
import com.sagacloud.util.compute_engine.util.QueryUtil;

public class delete_ce_stat_Inst {

    public static void main(String[] args) throws Exception {
        if (HBaseSaveManagerRepository.randomZillionAgent() == null) {
            HBaseSaveManagerRepository.init(1);
        }

        String database_name = ConstantCE.database_name;

        JSONObject Criteria = new JSONObject();
        JSONObject wrapperObject = new JSONObject();
        wrapperObject.put("QueryType", "select");
        wrapperObject.put("Criteria", Criteria);
        wrapperObject.put("Database", database_name);
        wrapperObject.put("Datatable", "ci_instance");
        JSONObject queryResult = HBaseSaveManagerRepository.randomZillionAgent().Query(wrapperObject);
        JSONArray resultContent = (JSONArray) queryResult.get("Content");
        for (int i = 0; i < resultContent.size(); i++) {
            JSONObject item = (JSONObject) resultContent.get(i);
            String object_sign = (String) item.get("object_sign");
            String instance_name = (String) item.get("instance_name");
            if (!"stat_Inst".equals(instance_name)) {
                continue;
            }

            JSONObject CriteriaInner = new JSONObject();
            CriteriaInner.put("object_sign", object_sign);
            CriteriaInner.put("instance_name", instance_name);

            String[] table_names = {"ce_computeinputdetail", "ce_computeinputlog", "ce_computeoutputdetail", "ce_computelog", "ce_curround",
                    "ce_preroundindex", "ci_instance", "ci_instanceinput", "ci_instanceoutput", "ci_status"};
            for (String table_name : table_names) {
                QueryUtil.delete(database_name, table_name, CriteriaInner);
            }
        }


        System.out.println();
    }
}
